
Redmine - Defect #18979

404 error on file with filenames originally in Cyrillic

2015-01-30 08:34 - Mad Geniy

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.6.1

Description

sh: 1: darcs: not found

sh: 1: hg: not found

sh: 1: cvs: not found

sh: 1: bzr: not found

Environment:

Redmine version 2.6.1.stable

Ruby version 1.9.3-p551 (2014-11-13) [i686-linux]

Rails version 3.2.21

Environment production

Database adapter Mysql2

SCM:

Subversion 1.6.17

Git 1.7.9.5

Filesystem

Redmine plugins:

no plugin installed

I have an 404 error when attempting to download files that names are in Cyrillic.

History

#1 - 2015-01-30 08:59 - Toshi MARUYAMA

- File Русский.txt added

- Category changed from Files to Attachments

- Status changed from New to Closed

- Resolution set to Cant reproduce

Cannot reproduce.

#2 - 2015-01-30 09:11 - Mad Geniy

- File SkypeIcon.exe added

#3 - 2015-01-30 09:14 - Mad Geniy

So, I can't add files with spaces like

'текстовый документ.txt'

But in my older version of redmine I was able to upload files such 'ТЗ на редизайн v.0.1.doc' and download correctly.

Now I can't upload and download such files, even it has not spaces.

Try to upload 'текстовый документ.txt' here - it's impossible.

#4 - 2015-01-30 09:18 - Mad Geniy

In my current redmine I can't upload any Cyrillic file - it's get 404 error.

#5 - 2015-01-30 10:12 - Toshi MARUYAMA

- File deleted (SkypeIcon.exe)

#6 - 2015-01-30 10:14 - Toshi MARUYAMA

- File текстовый документ.txt added
Cannot reproduce.

#7 - 2015-01-30 13:26 - Mad Geniy

It's strange. But it doesn't work. I went to the forum. Thanks.

Files

Русский.txt 16 Bytes 2015-01-30 Toshi MARUYAMA

текстовый документ.txt 39 Bytes 2015-01-30 Toshi MARUYAMA
